/* Terraform - (C) 1997-1998 Robert Gasch (Robert_Gasch@peoplesoft.com)
 *  - www.peoplesoft.com/peoplepages/g/robert_gasch/terraform/
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public
 * License along with this library; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 */


#ifndef _FILEIO_H
#define _FILEIO_H

#include <stdio.h>
#include "GlobalDefs.h"


/*
 *  FileIO: class to handle some high level file operations
 */
class FileIO
	{
	public:
				FileIO (const char *fName);
				~FileIO ();
		FILE		*open (char *mode);	// r or w 
		int		close ();	
		FILE		*getFilePtr ();
		char		*getName ();
		char		*getBasename ();
		char		*getExtension (int include_dot=FALSE);
		bool		exists ();

		int		get_hf_file_type (const char *fname);

	private:
		FILE		*d_File;		// File pointer
		char		*d_fName; 		// File name 
		char		*d_baseName; 		// base file name (`cut -f1 -d.`)
		char		*d_extension; 		// extension after last dot
	};


#endif // _FILEIO_H

