/* Terraform - (C) 1997-1998 Robert Gasch (Robert_Gasch@peoplesoft.com)
 *  - www.peoplesoft.com/peoplepages/g/robert_gasch/terraform/
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public
 * License along with this library; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 */


#ifndef _GUI_COLORMAP_H
#define _GUI_COLORMAP_H


#include <gtk--.h>
#include <gtk/gtk.h>


/*
 *  GuiColormap: basic colormap utility class 
 */
class GuiColormap
	{
	public:
				GuiColormap (Gtk_Widget *parent, int maxcolors);
				~GuiColormap ();
		GdkColor	*getColor (int index);
		int		numColors ();
		bool		addColor (GdkColor *col, int r, int g, int b);
		bool		addColor (GdkColor *col);
		bool		addNamedColor (GdkColor *col, char *colname);

		GdkColor 	d_black;
		GdkColor 	d_white;
		bool		d_linear;

	protected: 
		bool		allocColor (GdkColor *col, int r, int g, int b);
		bool		allocColor (GdkColor *col);
		bool		allocNamedColor (GdkColor *col, char *colname);

		int		d_maxcolors;
		int		d_ncolors;

	private: 
		GdkColormap	*d_colormap;
		GdkColor	*d_colors;
	};


#endif // _GUI_COLORMAP_H
