/* Terraform - (C) 1997-1998 Robert Gasch (Robert_Gasch@peoplesoft.com)
 *  - www.peoplesoft.com/peoplepages/g/robert_gasch/terraform/
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public
 * License along with this library; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 */


#include "GuiDialogReallyQuit.h"
#include "GlobalTrace.h"


/*
 *  constructor: initialize all data members 
 */
GuiDialogReallyQuit::GuiDialogReallyQuit (char *title, char *message)
	        : GuiDialogYN (title, NULL)
{
	if (GlobalTrace::isSet (GlobalTrace::TRACE_FLOW))
		cout << "+++ GuiDialogReallyQuit\n";

	d_Yes = FALSE;
	d_label = NULL;
	if (message)
		d_message = strdup (message);
	buildDialogWindow ();
	Gtk_Main::grab_add (*this);
}


/*
 *  destructor: clean up 
 */
GuiDialogReallyQuit::~GuiDialogReallyQuit ()
{
	Gtk_Main::grab_remove (*this);
	this->hide ();
	if (d_label) delete d_label;
	if (d_message) free (d_message);

	if (GlobalTrace::isSet (GlobalTrace::TRACE_FLOW))
		cout << "--- GuiDialogReallyQuit\n";
}


void GuiDialogReallyQuit::fillVBox ()
{
	d_label = new Gtk_Label (d_message);
	if (this->d_baseFrame)
		this->d_baseFrame->add (*d_label);
	else
		this->get_vbox()->pack_start (*d_label, TRUE, TRUE, 0);
	d_label->show ();
	if (this->d_baseFrame)
		this->d_baseFrame->show ();
	this->get_vbox()->show ();
}


/*
 *  setLabel: set the defaultLabel text
 */
void GuiDialogReallyQuit::setLabel (char *s)
{
	if (s)
		{
		if (d_message)
			free (d_message);
		d_message = strdup (s);
		d_label->set_text (s);
		//d_label->set_text (s);
		}
	
}



/*
 *  buttonCallbackYes: yes, really quit
 */
void GuiDialogReallyQuit::buttonCallbackYes ()
{	
	d_Yes = TRUE;
	Gtk_Main::grab_remove (*this);
	this->hide ();
}


/*
 *  buttonCallbackNo: no, don't quit
 */
void GuiDialogReallyQuit::buttonCallbackNo ()
{
	d_Yes = FALSE;
	Gtk_Main::grab_remove (*this);
	this->hide ();
}


gint GuiDialogReallyQuit::delete_event_impl (GdkEventAny *)
{
	Gtk_Main::grab_remove (*this);
	this->hide ();
	return (0);
}


/*
int GlobalTrace::d_traceLevel=255;    // instantiate static data member
int main (int argc, char *argv[])
{
	Gtk_Main        gtkMain (&argc, &argv);
	GuiDialogReallyQuit *testDialog;

	testDialog = new GuiDialogReallyQuit (NULL, NULL, "TestTitle", "TestMessage");
	testDialog->show ();
	gtkMain.run ();
}
*/
