/* Terraform - (C) 1997-1998 Robert Gasch (Robert_Gasch@peoplesoft.com)
 *  - www.peoplesoft.com/peoplepages/g/robert_gasch/terraform/
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public
 * License along with this library; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 */


#ifndef _HEIGHT_FIELD_READER_H
#define _HEIGHT_FIELD_READER_H


#include "HeightField.h"
#include "HeightFieldIO.h"


/*
 *  HeightFieldReader: read a Height Field from file
 * 	Depends on being declared a friend to HeightField
 */
class HeightFieldReader
	{
	public:
				HeightFieldReader (HeightField *HF, FileIO *Fio);
				~HeightFieldReader ();
		int		readPGM ();
		int		readTGA ();
		int		readMAT ();
		int		readOCT ();
		int		readDEM ();
		int		readGTOPO ();
#ifdef HAVE_IMLIB
		int		readImlib ();
#endif

	private:
		int		DEMfindint ();
		int		DEMnextint ();
		float		DEMnextfloat ();
		double 		DEMnextdouble ();
		void		checkRead (unsigned long points_read, 
					   unsigned long npoints);
		void		readOK ();

		HeightField	*d_HF;
		FileIO		*d_Fio;
	};


#endif // _HEIGHT_FIELD_READER_H

