/* Terraform - (C) 1997-1998 Robert Gasch (Robert_Gasch@peoplesoft.com)
 *  - www.peoplesoft.com/peoplepages/g/robert_gasch/terraform/
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public
 * License along with this library; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 */


#ifndef _HEIGHT_FIELD_WRITER_H
#define _HEIGHT_FIELD_WRITER_H


#include "FileIO.h"
#include "HeightField.h"


/*
 *  HeightFieldWriter: class to write a height field to file 
 * 	Depends on being declared a friend to HeightField
 */
class HeightFieldWriter
	{
	public:
				HeightFieldWriter (HeightField *HF, FileIO *Fio);
				~HeightFieldWriter ();
		int		writePGM ();
		int		writePG8 ();
		int		writeTGA ();
		int		writeMAT ();
		int		writeOCT ();

	private:
		HeightField	*d_HF;
		FileIO		*d_Fio;
	};


#endif // _HEIGHT_FIELD_WRITER_H 

