/* Terraform - (C) 1997-1998 Robert Gasch (Robert_Gasch@peoplesoft.com)
 *  - www.peoplesoft.com/peoplepages/g/robert_gasch/terraform/
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public
 * License along with this library; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 */


#ifndef _MATH_RANDOM_H
#define _MATH_RANDOM_H


/*
 *  MathRandom: normal, scaled random + gaussian random
 */
class MathRandom
	{
	public: 

		static double 		rnd (float floor=0.0, float ceil=1.0);
		static void		initGauss (int seed);
		static double		rndGauss ();

	private:
		static const int	s_gaussNRand;
		static const double	s_maxGauss;
		static double		s_gaussAdd,
					s_gaussFac;
	};

#endif // _MATH_RANDOM_H
