/* Terraform - (C) 1997-1998 Robert Gasch (Robert_Gasch@peoplesoft.com)
 *  - www.peoplesoft.com/peoplepages/g/robert_gasch/terraform/
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public
 * License along with this library; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 */


#ifndef _TF_DIALOG_ERODE_H
#define _TF_DIALOG_ERODE_H


#include "GuiDialogOAC.h"				// include gtk, gtk--
#include "HeightFieldOps.h"
#include "HeightFieldDraw.h"


/*
 *  TFDialogErode: display the rotate dialog for terraformer
 */
class TFDialogErode : public GuiDialogOAC
	{
	public: 
				TFDialogErode (HeightField *HF, HeightFieldDraw *HFD);
				~TFDialogErode (); 
		void		setHFobjs (HeightField *HF, HeightFieldDraw *HFD);
		void 		checkboxCallback ();
		void		buildDialogWindow ();
		void 		buttonCallbackOK ();
		void 		buttonCallbackApply ();

	private:
		void		buildErodeFrame ();
		void		buildFlowmapFrame ();
		void		fillVBox ();
		gint 		delete_event_impl (GdkEventAny *);

		Gtk_VBox		d_vBoxMain,
					d_vBoxList1,
					d_vBoxList2;
		Gtk_HBox		d_hBoxHS1, 
					d_hBoxHS2, 	
					d_hBoxHS3, 	
					d_hBoxSave,
					d_hBoxTrim;
		Gtk_Frame		d_frame1,	
					d_frame2;
		Gtk_Adjustment		d_adjNTurns,
					d_adjMaxElvErode, 
					d_adjMaxFlowAge; 
		Gtk_HScale		d_hsNTurns,
					d_hsMaxElvErode, 
					d_hsMaxFlowAge;
		Gtk_Label		d_lblHS1,
					d_lblHS2, 
					d_lblHS3, 
					d_lblSave, 
					d_lblTrim;
		Gtk_Entry		d_entFileName;
		Gtk_HSeparator		d_hSep;
		GSList 			*d_group;
		Gtk_RadioButton		*d_RB1, *d_RB2;
		Gtk_CheckButton		*d_CBseaLevel,
					*d_CBsave, 
					*d_CBtrim;
		HeightField		*d_HF;
		HeightFieldDraw		*d_HFD;
		HeightFieldOps		*d_HFO;
	};


#endif // _TF_DIALOG_ERODE_H
