/* Terraform - (C) 1997-1998 Robert Gasch (Robert_Gasch@peoplesoft.com)
 *  - www.peoplesoft.com/peoplepages/g/robert_gasch/terraform/
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public
 * License along with this library; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 */


#ifndef _TF_DIALOG_GENERATE_H
#define _TF_DIALOG_GENERATE_H


#include "GuiDialogOAC.h"				// include gtk. gtk--
#include "TFGui.h"


/*
 *  TFDialogGenSSynth: display the d options dialog for terraformer
 */
class TFDialogGenSSynth : public GuiDialogOAC
	{
	public: 
				TFDialogGenSSynth (HeightField *HF, TFGui *HFGui);
				~TFDialogGenSSynth (); 
		void		setHFobjs (HeightField *HF, TFGui *HFGui);
		void		checkboxCallback ();
		void		buildDialogWindow ();
		void 		buttonCallbackOK ();
		void 		buttonCallbackApply ();

	private:
		void		fillVBox ();
		gint 		delete_event_impl (GdkEventAny *);

		Gtk_VBox		d_vBoxList;
		Gtk_HBox		d_hBoxSize, d_hBoxDim, d_hBoxInvert, 
					d_hBoxGenSeed, d_hBoxSeed;
		Gtk_Adjustment		d_adjDim, d_adjSize;
		Gtk_HScale		d_hsDim, d_hsSize;
		Gtk_Label		d_lblSize, d_lblDim, d_lblInvert, 
					d_lblGenSeed, d_lblSeed;
		Gtk_CheckButton		d_btnInvert, d_btnGenSeed;
		Gtk_Entry		d_enSeed;
		Gtk_HSeparator		d_sepMain;
		char			*d_seedInitStr;
		HeightField		*d_HF;
		HeightFieldGenSSynth	*d_HFGen;
		TFGui 			*d_HFGui;
	};


#endif // _TF_DIALOG_GENERATE_H
