/* Terraform - (C) 1997-1998 Robert Gasch (Robert_Gasch@peoplesoft.com)
 *  - www.peoplesoft.com/peoplepages/g/robert_gasch/terraform/
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public
 * License along with this library; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 */


#ifndef _TF_DIALOG_LINEAR_SCALE_H
#define _TF_DIALOG_LINEAR_SCALE_H


#include "GuiDialogOAC.h"				// include gtk, gtk--
#include "HeightFieldOps.h"
#include "HeightFieldDraw.h"



/*
 *  TFDialogLinearScale: display the roughen dialog for terraformer
 */
class TFDialogLinearScale : public GuiDialogOAC
	{
	public: 
				TFDialogLinearScale (HeightField *HF, HeightFieldDraw *HFD);
				~TFDialogLinearScale (); 
		void		setHFobjs (HeightField *HF, HeightFieldDraw *HFD);
		void		buildDialogWindow ();

	private:
		virtual void 	buttonCallbackOK ();
		virtual void 	buttonCallbackApply ();
		virtual void	fillVBox ();
		virtual gint 	delete_event_impl (GdkEventAny *);

		Gtk_VBox		d_vbList;
		Gtk_HBox		d_hbCX, d_hbCY, d_hbScaleFactor,
					d_hbMinDist, d_hbMaxDist,
					d_hbSmoothDist,
					d_hbInvert, d_hbFullDist;
		Gtk_Label		d_lblCX, d_lblCY,
					d_lblScaleFactor,
					d_lblMinDist, d_lblMaxDist,
					d_lblSmoothDist,
					d_lblInvert, d_lblFullDist;
		Gtk_Adjustment		d_adjCX, d_adjCY,
					d_adjScaleFactor,
					d_adjMinDist, d_adjMaxDist,
					d_adjSmoothDist;
		Gtk_HScale		d_hsCX, d_hsCY, d_hsScaleFactor,
					d_hsMinDist, d_hsMaxDist,
					d_hsSmoothDist;
		Gtk_CheckButton		d_btnInvert,
					d_btnFullDist;
		HeightField		*d_HF;
		HeightFieldDraw		*d_HFD;
		HeightFieldOps		*d_HFO;
	};


#endif // _TF_DIALOG_LINEAR_SCALE_H
