/* Terraform - (C) 1997-1998 Robert Gasch (Robert_Gasch@peoplesoft.com)
 *  - www.peoplesoft.com/peoplepages/g/robert_gasch/terraform/
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public
 * License along with this library; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 */


#ifndef _TF_DIALOG_OPTIONS_H
#define _TF_DIALOG_OPTIONS_H


#include "GuiDialogOAC.h"				// includes gtk, gtk--
#include "HeightFieldDraw.h"



/*
 *  TFDialogOptions: display the options dialog for terraformer
 */
class TFDialogOptions : public GuiDialogOAC
	{
	public:	
				TFDialogOptions (HeightField *HF, HeightFieldDraw *HFD);
				~TFDialogOptions ();
		void		setHFobjs (HeightField *HF, HeightFieldDraw *HFD);
		void		buildDialogWindow ();
		void 		buttonCallbackOK ();
		void 		buttonCallbackApply ();
		gint 		delete_event_impl (GdkEventAny *);

	protected:
		void		buildDrawOptionsFrame ();
		void		buildHFDrawOptionsFrame ();
		void		buildFastWireOptionsFrame ();

	private:
		void		fillVBox ();
		void		getValues (bool *fillSea, int *scale, int *syncRate, int *resolution, 
					   float *yscale, float *sealevel,
					   bool *fastHalfRes, bool *fastHalfYscale,
					   bool *fastZrot);

		// copy of current settings 
		bool		d_fillSea,
				d_fastHalfRes, d_fastHalfYscale, d_fastZrot;
		int		d_scale, d_syncRate, d_resolution;
		float		d_yscale, d_sealevel;

		// other stuf 
		HeightField	*d_HF;
		HeightFieldDraw	*d_HFD;
		Gtk_Notebook	d_notebook;	
		Gtk_Frame 	d_frame1, d_frame2, d_frame3;
		Gtk_OptionMenu	d_colormapOptMenu;
		Gtk_Menu	d_colormapMenu;
		Gtk_CheckButton	d_cbFillSea,
				d_cbFastResolution,
				d_cbFastYscale,
				d_cbFastZrot;
		Gtk_Label 	d_tabTitle1, d_tabTitle2, d_tabTitle3,
				d_message1, d_message2,
				d_msgScale, d_msgSync,
				d_msgResolution, d_msgYScale, d_msgSealevel,
				d_msgFillSea,
				d_msgFastResolution, d_msgFastYscale, d_msgFastZrot;
		Gtk_VBox	d_vbox1, d_vbox2, d_vbox3;
		Gtk_HBox	d_hbox1, d_hbox2, d_hbox3,
				d_hbox4, d_hbox5, d_hbox6,
				d_hbox7, d_hbox8, d_hbox9;
		Gtk_Adjustment	d_adjScale, d_adjSync,
				d_adjResolution, d_adjYScale, d_adjSealevel;
		Gtk_HScale	d_hsScale, d_hsSync,
				d_hsResolution, d_hsYScale, d_hsSealevel; 
	};

#endif // _TF_DIALOG_OPTIONS_H
