/* Terraform - (C) 1997-1998 Robert Gasch (Robert_Gasch@peoplesoft.com)
 *  - www.peoplesoft.com/peoplepages/g/robert_gasch/terraform/
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public
 * License along with this library; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 */


#ifndef _TF_DIALOG_PLACE_POV_H
#define _TF_DIALOG_PLACE_POV_H


#include "GuiDialogOAC.h"				// includes gtk, gtk--
#include "HeightFieldOps.h"


/*
 *  TFDialogPPov: display the roughen dialog for terraformer
 */
class TFDialogPPov : public GuiDialogOAC
	{
	public: 
				TFDialogPPov (HeightField *HF);
				~TFDialogPPov (); 
		void		setHF (HeightField *HF);
		void		buildDialogWindow ();
		void 		buttonCallbackOK ();
		void 		buttonCallbackApply ();

	private:
		void		fillVBox ();
		gint 		delete_event_impl (GdkEventAny *);

		HeightField		*d_HF;
		HeightFieldOps		*d_HFO;
		Gtk_VBox                d_vBoxList,
					d_vBox;
		Gtk_HBox                d_hBox1, d_hBox2, d_hBox3, 
					d_hBox4, d_hBox5, d_hBox6, d_hBox7;
		Gtk_Entry		d_enOutputFilename, d_enObjectName;
		Gtk_Label		d_lblLine1, d_lblLine2, d_lblLine3, 
					d_lblLine4, d_lblLine5, d_lblLine6, d_lblLine7,
					d_lblOutputFilename, 
					d_lblObjectName, 
					d_lblHFScaleX, d_lblHFScaleY, d_lblHFScaleZ,
					d_lblObjMinElv, d_lblObjMaxElv, 
					d_lblPlaceDensity, d_lblPlaceVariance, 
					d_lblObjScaleX, d_lblObjScaleY, d_lblObjScaleZ,
					d_lblObjScaleXvar, d_lblObjScaleYvar, d_lblObjScaleZvar;

		Gtk_Adjustment 		d_adjHFScaleX, d_adjHFScaleY, d_adjHFScaleZ,
					d_adjObjMinElv, d_adjObjMaxElv, 
					d_adjPlaceDensity, d_adjPlaceVariance, 
					d_adjObjScaleX, d_adjObjScaleY, d_adjObjScaleZ,
					d_adjObjScaleXvar, d_adjObjScaleYvar, d_adjObjScaleZvar;

		Gtk_HScale		d_hsHFScaleX, d_hsHFScaleY, d_hsHFScaleZ,
					d_hsObjMinElv, d_hsObjMaxElv, 
					d_hsPlaceDensity, d_hsPlaceVariance, 
					d_hsObjScaleX, d_hsObjScaleY, d_hsObjScaleZ,
					d_hsObjScaleXvar, d_hsObjScaleYvar, d_hsObjScaleZvar;
	};


#endif // _TF_DIALOG_PLACE_POV_H
