/* Terraform - (C) 1997-1998 Robert Gasch (Robert_Gasch@peoplesoft.com)
 *  - www.peoplesoft.com/peoplepages/g/robert_gasch/terraform/
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public
 * License along with this library; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 */


#ifndef _TF_DIALOG_RESCALE_H
#define _TF_DIALOG_RESCALE_H


#include "GuiDialogOAC.h"				// include gtk, gtk--
#include "HeightFieldOps.h"
#include "HeightFieldDraw.h"


/*
 *  TFDialogRescale: display the rescale dialog 
 */
class TFDialogRescale : public GuiDialogOAC
	{
	public: 
				TFDialogRescale (HeightField *HF, HeightFieldDraw *HFD);
				~TFDialogRescale (); 
		void		setHFobjs (HeightField *HF, HeightFieldDraw *HFD);
		void		buildDialogWindow ();
		void 		buttonCallbackOK ();
		void 		buttonCallbackApply ();
		void		rbCallback ();

	private:
		void		fillVBox ();
		gint 		delete_event_impl (GdkEventAny *);

		Gtk_VBox		d_vBoxList;
		Gtk_HBox		d_hbFLocal, d_hbFGlobal;	
		Gtk_Adjustment		d_adjFLocal, d_adjFGlobal;
		Gtk_HScale		d_hsFLocal, d_hsFGlobal;
		Gtk_Label		d_lblFLocal, d_lblFGlobal;
		GSList 			*d_group;
		Gtk_RadioButton		*d_RB1, *d_RB2;
		HeightField		*d_HF;
		HeightFieldDraw		*d_HFD;
		HeightFieldOps		*d_HFO;
	};


#endif // _TF_DIALOG_ROTATE_H
