/* Terraform - (C) 1997-1998 Robert Gasch (Robert_Gasch@peoplesoft.com)
 *  - www.peoplesoft.com/peoplepages/g/robert_gasch/terraform/
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public
 * License along with this library; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 */


#ifndef _TF_DIALOG_ROTATE_H
#define _TF_DIALOG_ROTATE_H


#include "GuiDialogOAC.h"				// includes gtk, gtk--
#include "HeightFieldOps.h"
#include "HeightFieldDraw.h"



/*
 *  TFDialogRotate: display the rotate dialog for terraformer
 */
class TFDialogRotate : public GuiDialogOAC
	{
	public: 
				TFDialogRotate (HeightField *HF, HeightFieldDraw *HFD);
				~TFDialogRotate (); 
		void		setHFobjs (HeightField *HF, HeightFieldDraw *HFD);
		void		buildDialogWindow ();
		void 		buttonCallbackOK ();
		void 		buttonCallbackApply ();

	private:
		void		fillVBox ();
		gint 		delete_event_impl (GdkEventAny *);

		Gtk_Frame		d_frame;
		Gtk_Table		d_table;
		Gtk_Label		d_rLabel1, d_rLabel2, 
					d_rLabel3, d_rLabel4,
					d_unitLabel;
		Gtk_RadioButton		*d_rButton1, *d_rButton2, 
					*d_rButton3, *d_rButton4;
		HeightField		*d_HF;
		HeightFieldDraw		*d_HFD;
		HeightFieldOps		*d_HFO;
	};


#endif // _TF_DIALOG_ROTATE_H
