/* Terraform - (C) 1997-1998 Robert Gasch (Robert_Gasch@peoplesoft.com)
 *  - www.peoplesoft.com/peoplepages/g/robert_gasch/terraform/
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public
 * License along with this library; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 */


#ifndef _TF_DIALOG_ROUGH_SMOOTH_H
#define _TF_DIALOG_ROUGH_SMOOTH_H


#include "GuiDialogOAC.h"				// includes gtk, gtk--
#include "HeightFieldOps.h"
#include "HeightFieldDraw.h"



/*
 *  TFDialogRoughSmooth: display the roughen dialog for terraformer
 */
class TFDialogRoughSmooth : public GuiDialogOAC
	{
	public: 
				TFDialogRoughSmooth (bool roughen, HeightField *HF, HeightFieldDraw *HFD, char *title);
				~TFDialogRoughSmooth (); 
		void		setHFobjs (bool roughen, HeightField *HF, HeightFieldDraw *HFD, char *title);
		void		buildDialogWindow ();
		void 		buttonCallbackOK ();
		void 		buttonCallbackApply ();

	private:
		void		fillVBox ();
		gint 		delete_event_impl (GdkEventAny *);

		HeightField		*d_HF;
		HeightFieldDraw		*d_HFD;
		HeightFieldOps		*d_HFO;
		bool			d_roughen;
		Gtk_VBox		d_vBoxList;
		Gtk_HBox                d_hBoxRSFactor,
					d_hBoxBigGrid;
		Gtk_Adjustment		d_adjRSFactor;
		Gtk_HScale		d_hsRSFactor;
		Gtk_Label		d_lblRSFactor,
					d_lblBigGrid;
		Gtk_CheckButton		d_btnBigGrid;
	};


#endif // _TF_DIALOG_ROUGH_SMOOTH_H
