/* Terraform - (C) 1997-1998 Robert Gasch (Robert_Gasch@peoplesoft.com)
 *  - www.peoplesoft.com/peoplepages/g/robert_gasch/terraform/
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public
 * License along with this library; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 */


#ifndef _TF_GUI_H
#define _TF_GUI_H


#include "GuiDialogOAC.h" 		// include GuiDialogOAC, gtk, gtk--
#include "GuiDialogPreview.h" 		// include GuiDialogOAC, gtk, gtk--
#include "GuiDialogReallyQuit.h"
#include "HeightField.h"
#include "HeightFieldDraw.h"
#include "TFWindow.h"
#include "TFDialogOptions.h"
#include "GuiDialogAbout.h"



/*
 *  TFGui: main gui routines for terraformer
 */
class TFGui : public TFWindow
	{
	public: 
				TFGui (Gtk_Main *gtkMain, int argc, char *argv[]);
		void		setHeightField (HeightField *HF);
		void		drawHeightField ();
		gint		idleRedrawCallback ();
		gint		autoRotateCallback ();
		gint		calibrateAutoRotate (int nSamples);

		void		fileMenuCallback (string m);
		void		hfMenuCallback (string m);
		void		viewMenuCallback (string m);
		void		colormapMenuCallback (string m);

		void		destroyCallback ();
		void		closeCallback ();
		void		reloadCallback ();

		void		fileSelectionOK ();
		void		fileSelectionCancel ();
		void		fileSelection ();

		void		activateMenus (bool activate);
		gint 		button_press_event_impl (GdkEventButton *e);
		gint 		button_release_event_impl (GdkEventButton *e);
		gint 		motion_notify_event_impl (GdkEventMotion *e);

	private: 	
		HeightField		*d_HF;
		HeightFieldDraw		*d_HFD;
		Gtk_FileSelection	*d_fileSelection;
		Gtk_Main		*d_gtkMain;
		TFDialogOptions		*d_optionsDialog;
		GuiDialogOAC		*d_erodeDialog,
					*d_fillDialog,
					*d_foldDialog,
					*d_flowmapDialog,
					*d_genSSynthDialog,
					*d_genSubdivDialog,
					*d_linearScaleDialog,
					*d_mirrorDialog,
					*d_placePovDialog,
					*d_rescaleDialog,
					*d_rotateDialog,
					*d_roughSmoothDialog, 
					*d_transformDialog;
		GuiDialogPreview	*d_previewDialog;
		GuiDialogAbout		*d_aboutDialog;
		GuiDialogReallyQuit	*d_quitDialog;
		Connection		d_quitDialogConnection;
		int			d_rotStartPosx,
					d_rotStartPosy;
		bool			d_fastWire,
					d_rotate,
					d_autoRotate;
	};


#endif // _TF_GUI_H
